﻿<table width="100%">
    <tr>
        <td style="border:1px solid; padding:7px;" align="left">
            @*<fieldset>*@
            @Html.Partial("_PartialUpload")
            @*</fieldset>*@
        </td>
        <td style="width: 75%; border:1px solid; padding:7px;">
            @*<fieldset>*@
            <table style="width: 100%; margin: 0 auto;">
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Part No";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "I_PART_NO";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 100;
                            settings.Properties.MaxLength = 12;
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Supplier Code";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "I_SUPPLIER_CD";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 75;
                            settings.Properties.MaxLength = 25;
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Dock Code";
                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_DOCK_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 75;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Kanban No";
                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_KANBAN_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 75;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
                    </td>

                    <td>
                        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Part Type";
                }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_PART_TYPE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.SelectedIndex = -1;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.TextFormatString = "{0}";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.ValueField = "SYSTEM_VALUE";
                    settings.Properties.TextField = "SYSTEM_VALUE";
                }).BindList(ViewData["PART_TYPE"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "DG Flag";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_DG_FLAG";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 75;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.ValueField = "SYSTEM_VALUE";
                            settings.Properties.TextField = "SYSTEM_VALUE";
                        }).BindList(ViewData["DG_FLAG"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Company";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_COMPANY_CD";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                settings.Properties.MaxLength = 12;
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Rcv Plant";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_RCV_PLANT_CD";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 75;
                                settings.Properties.MaxLength = 12;
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Case Grouping";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "I_CASE_GROUPING";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 75;
                                settings.Properties.MaxLength = 12;
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Reorder Flag";
                            }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_REORDER_FLAG";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 110;
                            settings.SelectedIndex = -1;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.ValueField = "SYSTEM_CD";
                            settings.Properties.TextField = "SYSTEM_VALUE";
                            //settings.Properties.A
                        }).BindList(@ViewData["REORDER_FLAGs"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Sub Supplier Code";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "I_SUB_SUPPLIER_CD";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 100;
                            settings.Properties.MaxLength = 4;
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "PMSP Flag";
                        }).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "I_PMSP_FLAG";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 75;
                            settings.Properties.MaxLength = 1;
                        }).GetHtml()
                    </td>
                    <td align="right" colspan="8">
                        @Html.DevExpress().Button(Button =>
                               {
                                   Button.Name = "cmdSearch";
                                   Button.Text = "Search";
                                   Button.Width = 75;
                                   Button.Style.Add("display", "inline-table");
                                   Button.UseSubmitBehavior = true;
                                   Button.ClientSideEvents.Click = "OnSearch";
                                   Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-01", "SEARCH");

                               }).GetHtml()
                        @Html.DevExpress().Button(Button =>
                               {
                                   Button.Name = "cmdClear";
                                   Button.Text = "Clear";
                                   Button.Width = 75;
                                   Button.Style.Add("display", "inline-table");
                                   Button.UseSubmitBehavior = true;
                                   Button.ClientSideEvents.Click = "OnClear";
                                   Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-01", "CLEAR");

                               }).GetHtml()
                    </td>
                </tr>
            </table>
            @*</fieldset>*@
        </td>
    </tr>
    <tr>
        <td align="left" style="padding:5px">
            @Html.DevExpress().Button(Button =>
       {
           Button.Name = "cmdDownload";
           Button.Text = "Download";
           Button.Width = 75;
           Button.Style.Add("display", "inline-table");
           Button.UseSubmitBehavior = true;
           Button.ClientSideEvents.Click = "DownloadData";
           Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-02", "DOWNLOAD");

       }).GetHtml()
            @Html.DevExpress().Button(Button =>
       {
           Button.Name = "cmdSendIPPCS";
           Button.Text = "Send IPPCS";
           Button.Width = 75;
           Button.Style.Add("display", "inline-table");
           Button.UseSubmitBehavior = true;
           Button.ClientSideEvents.Click = "SendIPPCSData";
           Button.ClientVisible = false;
           //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-02", "SEND IPPCS");

       }).GetHtml()
            @Html.DevExpress().Button(Button =>
       {
           Button.Name = "cmdSinchronize";
           Button.Text = "Sinchronize Supplier Name";
           Button.Width = 200;
           Button.Style.Add("display", "inline-table");
           Button.UseSubmitBehavior = true;
           Button.ClientSideEvents.Click = "SinchronizeSupplierName";
           //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-02", "SEND IPPCS");

       }).GetHtml()
        </td>
        <td align="right" style="padding:5px;">
            @Html.DevExpress().Button(Button =>
       {
           Button.Name = "cmdAdd";
           Button.Text = "Add";
           Button.Width = 75;
           Button.Style.Add("display", "inline-table");
           Button.UseSubmitBehavior = true;
           Button.ClientSideEvents.Click = "Add";
           Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-02", "ADD");

       }).GetHtml()
            @Html.DevExpress().Button(Button =>
       {
           Button.Name = "cmdDelete";
           Button.Text = "Delete";
           Button.Width = 75;
           Button.Style.Add("display", "inline-table");
           Button.UseSubmitBehavior = true;
           Button.ClientSideEvents.Click = "DeleteData";
           Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-02", "DELETE");

       }).GetHtml()
        </td>
    </tr>
</table>
